@echo off
SETLOCAL EnableDelayedExpansion

set sourcedir=%LOCALAPPDATA%\Microsoft\Windows Sidebar\
set targetdir=%LOCALAPPDATA%\Microsoft\Windows Sidebar\
rem change targetdir if you want the backup file saved somewhere else

if "%1"=="" goto help
if "%1"=="/?" goto help
if /I "%1"=="auto" (set num=9) && goto auto
if /I "%2"=="auto" (set num=%1) && goto auto
if %1 GTR 9 goto help
if %1 LSS 1 goto help

set txt= no. %1
goto start

:help
color 0A
echo.
echo Syntax: savesettings [1-9] [auto]
echo.
echo Use "auto" to copy either the stated number or number 9, no questions asked.
echo.
echo If no valid parameter is entered you will be prompted for a backup number.
echo.
echo                            _______________________
echo.

:start
echo.
echo Save backup copy%txt% of the Desktop Gadgets Settings file:
echo.
echo %sourcedir%Settings.ini
echo.
echo Settings files in: %sourcedir%
echo.
dir /O-D "%sourcedir%Settings*.ini" | find /I "settings"

if "%1"=="" goto choice
if "%1"=="/?" goto choice
if %1 GTR 9 goto choice
if %1 LSS 1 goto choice

set num=%1
goto exec

:choice
echo.
echo.
CHOICE /C 123456789C /N /M "Choose a number between 1 and 9 for the backup file (C = Cancel):"
set num=%ERRORLEVEL%
if %num%==10 goto end

:exec
echo.
echo.
echo Copy
echo   %sourcedir%Settings.ini
echo TO:
echo   %targetdir%Settings_%num%.ini
echo.
CHOICE /C YN /N /M "Do you wish to proceed [Y/N]?"
if not %ERRORLEVEL%==1 goto end

if not exist "%targetdir%Settings_%num%.ini" goto exec2

echo.
echo The file Settings_%num%.ini already exists.

echo.
CHOICE /C YN /N /M "Do you want to choose another number [Y/N]?"
if %ERRORLEVEL%==1 goto choice

echo.
CHOICE /C YN /N /M "Do you want to overwrite Settings_%num%.ini [Y/N]?"
if not %ERRORLEVEL%==1 goto end

:exec2
echo.
copy "%sourcedir%Settings.ini" "%targetdir%Settings_%num%.ini"
echo.
echo Settings files in: %targetdir%
echo.
dir /O-D "%targetdir%Settings*.ini" | find /I "settings"
echo.
pause
goto end

:auto
copy "%sourcedir%Settings.ini" "%targetdir%Settings_%num%.ini"

:end
